Name:           gnome-applet-timer
Version:        1.1.1
Release:        9%{?dist}
Summary:        A countdown timer applet for the GNOME panel

Group:          User Interface/Desktops
License:        GPL
URL:            http://timerapplet.sourceforge.net/
Source0:        http://download.sourceforge.net/timerapplet/timer-applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-panel-devel >= 2.6, gettext, scrollkeeper
Provides:	timer-applet = %{version}
Requires(pre):	GConf2
Requires(post):	GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Timer Applet is a countdown timer applet for the GNOME panel. Highlights:
* Run multiple Timer Applets simultaneously to have different timers
* Quickly set a time and the applet will notify you when time's up
* Create presets for quick access to frequently-used times
* Small and unobtrusive. Choose to either view the remaining time right in the 
  panel or hide it so you don't get distracted by the countdown.

%prep
%setup -q -n timer-applet-%{version}

%build
%configure
make %{?_smp_mflags}

# Part one of omf install hack
sed -i 's!<identifier url="timer-applet.xml"/>!<identifier url="file:%{_datadir}/gnome/help/timer-applet/C/timer-applet.xml"/>!' help/C/timer-applet-C.omf
sed -i 's!<identifier url="timer-applet.xml"/>!<identifier url="file:%{_datadir}/gnome/help/timer-applet/fr/timer-applet.xml"/>!' help/fr/timer-applet-fr.omf

# Part one of libexec install hack
sed -i 's!<oaf_server iid="OAFIID:TimerApplet_Factory" type="exe" location="timer-applet">!<oaf_server iid="OAFIID:TimerApplet_Factory" type="exe" location="%{_libexecdir}/timer-applet">!' GNOME_TimerApplet.server

%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Part two of omf install hack
mkdir -p $RPM_BUILD_ROOT%{_datadir}/omf/timer-applet
install -m 0644 -p help/C/timer-applet-C.omf $RPM_BUILD_ROOT%{_datadir}/omf/timer-applet
install -m 0644 -p help/fr/timer-applet-fr.omf $RPM_BUILD_ROOT%{_datadir}/omf/timer-applet

# Part two of libexec install hack
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv ${RPM_BUILD_ROOT}%{_bindir}/timer-applet ${RPM_BUILD_ROOT}%{_libexecdir}/timer-applet

%find_lang timer-applet

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%check || :


%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/timer-applet.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/timer-applet.schemas >/dev/null || :
killall -HUP gconfd-2 || :

scrollkeeper-update -q -o %{_datadir}/omf/timer-applet || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/timer-applet.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
scrollkeeper-update -q || :


%files -f timer-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/timer-applet
%{_sysconfdir}/gconf/schemas/timer-applet.schemas
%{_libdir}/bonobo/servers/GNOME_TimerApplet.server
%{_datadir}/gnome/help/timer-applet
%{_datadir}/gnome-2.0/ui/GNOME_TimerApplet.xml
%{_datadir}/omf/timer-applet
%{_datadir}/pixmaps/timer-applet

%changelog
* Thu Sep 22 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-9
- Increase release due to tag collision.

* Mon Sep 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-8
- Minor Specfile Changes.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-7
- removed all patches and use Toshi's specfile hacks instead. (#168032)

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-6
- removed omf file install specfile hack.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-5
- added timer-applet-libexec.patch by Toshio Kuratomi (#168032)
- modified timer-applet-docinstall.patch: replaced *.old with *.docinstall
- modified specfile to install omf file.

* Sat Sep 17 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-4
- added timer-applet-docinstall.patch by Toshio Kuratomi (#168032)

* Fri Sep 16 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-3
- Renamed package from gnome-timer-applet to gnome-applet-timer according to 
  Fedora Extras package naming guidelines.
- Minor Specfile Changes: Added scrollkeeper requirements and snipplets

* Sat Sep 10 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-2
- Renamed package from timer-applet to gnome-timer-applet according to Fedora
  Extras package naming guidelines.
- Several fixes for FE (version etc).
- Cleaned up Specfile.

* Fri Aug 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-1.fc4.cw
- Updated to version 1.1.1.
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-2.fc3.cw
- Rebuild to fit to repos naming conventions.

* Sun Apr 03 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-fc3_cw.1
- Updated to version 1.0.

* Thu Mar 24 2005 Christoph Wickert <wickerpms at arcor.de> - 0.9-fc3_cw.1
- Updated to version 0.9.

* Mon Mar 21 2005 Christoph Wickert <wickerpms at arcor.de> - 0.8-fc3_cw.1
- Initial RPM release.
